<wm-page data-ng-controller="MainPageController" name="mainpage" pagetitle="Main"> 
    <wm-header content="header" name="header" height="auto"></wm-header> 
    <wm-top-nav name="topnav" content="topnav"></wm-top-nav> 
    <wm-content name="content"> 
        <wm-left-panel columnwidth="2" name="leftpanel" content="leftnav"></wm-left-panel> 
        <wm-page-content columnwidth="8" name="mainContent" padding="unset 15px"> 
            <wm-livetable formlayout="dialog" name="UserLiveTable1"> 
                <wm-table gridfirstrowselect="true" editmode="dialog" name="UserTable1" title="User List" dataset="bind:Variables.HrdbUserData.dataSet" navigation="Basic"> 
                    <wm-table-column binding="userId" caption="User Id" generator="identity" pcdisplay="true" mobiledisplay="true" type="integer" primary-key="true" readonly="true"></wm-table-column> 
                    <wm-table-column binding="username" caption="Username" generator="assigned" pcdisplay="true" mobiledisplay="true" type="string"></wm-table-column> 
                    <wm-table-column binding="password" caption="Password" generator="assigned" pcdisplay="true" mobiledisplay="true" type="string"></wm-table-column> 
                    <wm-table-column binding="role" caption="Role" generator="assigned" pcdisplay="true" mobiledisplay="true" type="string"></wm-table-column> 
                    <wm-table-column binding="tenantId" caption="Tenant Id" generator="assigned" pcdisplay="true" mobiledisplay="true" type="integer"></wm-table-column> 
                    <wm-table-action widget-type="button" key="addNewRow" display-name="New" iconclass="wi wi-plus" show="true" class="btn-primary" action="addNewRow()" position="footer" shortcutkey=""></wm-table-action> 
                    <wm-table-row-action key="updaterow" display-name="" title="Edit" iconclass="wi wi-pencil" show="true" class="btn-transparent" action="editRow()"></wm-table-row-action> 
                    <wm-table-row-action key="deleterow" display-name="" title="Delete" iconclass="wi wi-trash" show="true" class="btn-transparent" action="deleteRow()"></wm-table-row-action> 
                </wm-table> 
                <wm-liveform errormessage="" title="User Info" formlayout="dialog" iconclass="wi wi-edit" name="UserLiveForm1" dataset="bind:Variables.HrdbUserData.dataSet" captionalign="left" captionposition="top"> 
                    <wm-layoutgrid columns="3" name="layoutgrid1"> 
                        <wm-gridrow name="gridrow1"> 
                            <wm-gridcolumn columnwidth="4" name="gridcolumn1"> 
                                <wm-form-field name="username" displayname="Username" required="false" show="true" generator="assigned" primary-key="false" key="username" type="string" is-related="false" maxchars="20" pc-display="true" mobile-display="true" widget="text"></wm-form-field> 
                            </wm-gridcolumn> 
                            <wm-gridcolumn columnwidth="4" name="gridcolumn2"> 
                                <wm-form-field name="password" displayname="Password" required="false" show="true" generator="assigned" primary-key="false" key="password" type="string" is-related="false" maxchars="20" pc-display="true" mobile-display="true" widget="text"></wm-form-field> 
                            </wm-gridcolumn> 
                            <wm-gridcolumn columnwidth="4" name="gridcolumn3"> 
                                <wm-form-field name="role" displayname="Role" required="false" show="true" generator="assigned" primary-key="false" key="role" type="string" is-related="false" maxchars="20" pc-display="true" mobile-display="true" widget="text"></wm-form-field> 
                            </wm-gridcolumn> 
                        </wm-gridrow> 
                        <wm-gridrow name="gridrow2"> 
                            <wm-gridcolumn columnwidth="4" name="gridcolumn4"> 
                                <wm-form-field name="tenantId" displayname="Tenant Id" required="false" show="true" generator="assigned" primary-key="false" key="tenantId" type="integer" is-related="false" step="0" pc-display="true" mobile-display="true" widget="number"></wm-form-field> 
                            </wm-gridcolumn> 
                            <wm-gridcolumn columnwidth="4" name="gridcolumn5"></wm-gridcolumn> 
                            <wm-gridcolumn columnwidth="4" name="gridcolumn6"></wm-gridcolumn> 
                        </wm-gridrow> 
                    </wm-layoutgrid> 
                    <wm-form-field name="userId" displayname="User Id" required="true" show="false" generator="identity" primary-key="true" key="userId" type="integer" is-related="false" step="0" pc-display="true" mobile-display="true" widget="number"></wm-form-field> 
                    <wm-form-action key="cancel" class="form-cancel btn-secondary" iconclass="wi wi-cancel" action="cancel()" display-name="Cancel" show="true" type="button" update-mode="true"></wm-form-action> 
                    <wm-form-action key="save" class="form-save btn-success" iconclass="wi wi-save" display-name="Save" show="true" type="submit" update-mode="true"></wm-form-action> 
                </wm-liveform> 
            </wm-livetable> 
        </wm-page-content> 
        <wm-right-panel columnwidth="2" name="rightpanel" content="rightnav"></wm-right-panel> 
    </wm-content> 
    <wm-footer name="footer" content="footer"></wm-footer> 
</wm-page>